#!/bin/bash

#rm *.root *_*.{so,d,pcm}

root -l -n -b -q -e '.L OtherClass.h++'

echo "----"
echo "Creating library for MyClass version 1"
ln -s -f MyClass1.h MyClass.h
root -l -n -b -q -e '.L MyClass.h++'

echo "----"
echo "Storing object of MyClass version 1 in two identical files"
root -l -n -b -q -e 'gSystem->Load("MyClass_h.so"); gSystem->Load("OtherClass_h.so"); gROOT->ProcessLine(".x creObj.C");'

echo "----"
echo "Creating library for MyClass version 2"
ln -s -f MyClass2.h MyClass.h
root -l -n -b -q -e '.L MyClass.h++'

echo "----"
echo "Updating files containing object of old MyClass version 1 (by writing metadata object of unrelated class OtherClass)"
#root -l -n -b -q -e 'gSystem->Load("MyClass_h.so"); gSystem->Load("OtherClass_h.so"); gROOT->ProcessLine(".x updObj.C");'
root -l -n -b -q -e 'gSystem->Load("OtherClass_h.so"); gROOT->ProcessLine(".x updObj.C");'

echo "----"
echo "Reading 1st (updated) file"
root -l -n -b -q testFile.C'("outv1.root")'

echo "----"
echo "Reading 2nd (updated) file"
root -l -n -b -q testFile.C'("outv2.root")'
